MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Types | Public Member Functions
NeighborGlue Class Reference

A class that initializes and opens all configured neighbor plugins. More...

`#include <Glue.hxx>`

## Public Types
typedef std::forward_list< NeighborInfo > | List

## Public Member Functions
| NeighborGlue ()=default
| NeighborGlue (const NeighborGlue &)=delete
| ~NeighborGlue ()
bool | IsEmpty () const
void | Init (EventLoop &loop, NeighborListener &listener)
| Throws std::runtime_error on error. More...
void | Open ()
void | Close ()
gcc_pure List | GetList () const
| Get the combined list of all neighbors from all active plugins. More...

## Detailed Description

A class that initializes and opens all configured neighbor plugins.

Definition at line 37 of file Glue.hxx.

## Member Typedef Documentation

typedef std::forward_list<NeighborInfo> NeighborGlue::List

Definition at line 51 of file Glue.hxx.

## Constructor & Destructor Documentation

NeighborGlue::NeighborGlue | ( |  | ) |
| default

NeighborGlue::NeighborGlue | ( | const NeighborGlue & |  | ) |
| delete

NeighborGlue::~NeighborGlue | ( |  | ) |

## Member Function Documentation

void NeighborGlue::Close | ( |  | ) |

gcc_pure List NeighborGlue::GetList | ( |  | ) | const

Get the combined list of all neighbors from all active plugins.

void NeighborGlue::Init | ( | EventLoop & | loop,
|  | NeighborListener & | listener
| ) |  |

Throws std::runtime_error on error.

bool NeighborGlue::IsEmpty | ( |  | ) | const
| inline

Definition at line 57 of file Glue.hxx.

void NeighborGlue::Open | ( |  | ) |

The documentation for this class was generated from the following file:

- neighbor/Glue.hxx